import BiometricsScanner from './NativeBiometricsScanner';
type Prompt = Parameters<typeof BiometricsScanner.authenticate>[0];
/**
 *
 * @param prompt - object defining the prompt to show
 * @return {Promise<void>}
 *
 * @throws {@link BiometricUnknownError} when biometric status is unknown
 * @throws {@link BiometricUnsupportedError} when biometric is not supported
 * @throws {@link BiometricNoEnrollError} when user must enroll to use biometric
 * @throws {@link BiometricAuthenticationError} when an authentication error has occurred
 * @throws {@link BiometricUserCancelError} when user cancels authentication
 * @throws {@link BiometricFallbackError} when user tap fallback button
 * @throws {@link BiometricSystemCancelError} when system cancels authenitcation
 * @throws {@link BiometricPasscodeNotSetError} when passcode is not set
 * @throws {@link BiometricLockOutError} when user is locked out
 */
export declare function authenticate(prompt: Prompt): Promise<void>;
export {};
//# sourceMappingURL=authenticate.d.ts.map