import type { BiometricType } from './types';
/**
 * @param allowDeviceCredentials - check if using device credential as fallback
 * @return {Promise<BiometricType>} of the hardware
 *
 * @throws {@link UnknownBiometricError} when biometric status is unknown
 * @throws {@link UnsupportedBiometricError} when biometric is not supported
 * @throws {@link NoEnrollError} when user must enroll to use biometric
 */
export declare function getAvailableBiometric(allowDeviceCredentials: boolean): Promise<BiometricType>;
//# sourceMappingURL=getAvailableBiometric.d.ts.map